#!/bin/bash

if [ $# -ne 1 ]; then
  echo "Usage: sofa-dock.sh name-of-the-dock"
  exit 1
fi

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv.sh ]; then
  . "$PRGDIR"/setenv.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2.jar"

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dsofa.logfile="dock-${1}.log" -Dlog4j.configuration="file:$DOCKLOGCONF" -Dsofa.registry.port="$SOFARMIPORT" -Dsofa.registry.host="$SOFARMIHOST" -Djava.rmi.server.hostname="$SOFARMIHOST" -Dconnector.gcm.rmihost="$SOFACONMANHOST" -Dsofa.agent.repository.hostname="$SOFAREPHOST" -Dsofa.agent.repository.port="$SOFAREPPORT" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" org.objectweb.dsrg.sofa.deployment.DockCLI new $1
